package com.cf.imes.module.system.validation.recharge;

import jakarta.validation.Constraint;
import jakarta.validation.Payload;
import java.lang.annotation.*;

/**
 * 赠送类型校验注解
 */
@Target({
        ElementType.FIELD,
})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(
        validatedBy = {RechargeGiftTypeValidator.class}
)
public @interface RechargeGiftTypeValid {

    String message() default "赠送类型不合法，0：满X送X； 1：每满X送X";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};

}
